org.springframework.expression

## Interface BeanResolver

- All Known Implementing Classes:
    BeanFactoryResolver

      public interface BeanResolver

  A bean resolver can be registered with the evaluation context and will kick in for `@myBeanName` still expressions.
  Since:
    3.0.3
  Author:
    Andy Clement

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `resolve(EvaluationContext context, String beanName)` Look up the named bean and return it.

- - ### Method Detail

    - #### resolve

          Object resolve(EvaluationContext context,
                       String beanName)
                         throws AccessException

      Look up the named bean and return it.
      Parameters:
        `context` - the current evaluation context
        `beanName` - the name of the bean to lookup
      Returns:
        an object representing the bean
      Throws:
        `AccessException` - if there is an unexpected problem resolving the named bean